Package org.eclipse.microprofile.fault.tolerance.tck.metrics.common

# Class AllMetricsBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.metrics.common.AllMetricsBean

@RequestScoped public class AllMetricsBean extends Object

## Constructor Summary

Constructors
Constructor
Description
`AllMetricsBean()`

## Method Summary

Modifier and Type
Method
Description
`Future<Void>`
`doFallback()`
`Future<Void>`
`doWork()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AllMetricsBean

public AllMetricsBean()

## Method Details

### doWork

@Retry(maxRetries=5) @Bulkhead(3) @Timeout(value=1L, unit=MINUTES) @CircuitBreaker(failureRatio=1.0, requestVolumeThreshold=20) @Fallback(fallbackMethod="doFallback") @Asynchronous public Future<Void> doWork()

### doFallback

public Future<Void> doFallback()